# Class PRS_Activity
extends PRS_ExchangeElement

Describes the date of each transaction and the objects involved.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--PRS_ExchangeElement
|
+--PRS_Activity

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | Describes the date of each transaction and the objects involved.
UMLPackagePath | string | PRS::Support
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ActionLog | string |
Description | string | Description of the activity performed.
Deleted | string |
Description | string | The key fields for objects deleted in the associated Transaction. This property is set by the PRS_SISService StartSISTransaction method.
LocalDate | datetime |
Description | string | The date of the Activity. This property is set by the PRS_SISService StartSISTranasaction method.
Modified | string |
Description | string | The key fields for objects modified in the associated Transaction. This property is set by the PRS_SISService StartSISTransaction method.
NewKeys | string |
Description | string | The key fields for the objects added in the associated Transaction. This property is set by the PRS_SISService StartSISTransaction method.
ParameterList | string |
Deprecated | string | PRS_Activity.NewKeys, PRS_Activity.Deleted, PRS_Activity.Modified
Description | string | The key fields for the objects in the associated Transaction. The use of this property is deprecated. The PRS_SISService StartSISTransaction method uses the New, Modified and Deleted properties instead of this field. This field is set to NULL by the StartSISTransaction method if the other properties are used.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
DirtyFlag | uint8 | PRS_ExchangeElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
PRSUniqueName | string | PRS_ExchangeElement

## Class Methods